@echo off
cls
REM  Create Intel Pro/Wireless 5000/2011/2011b LAN floppy disk from CD
@echo Creating Intel Pro/Wireless 5000/2011/2011b LAN driver installation diskette...
 
set FDRIVE=A:\
if "%1"=="?"     goto ErrorArg
if "%1"=="-H"    goto ErrorArg
if "%1"=="-h"    goto ErrorArg
if "%1"=="/h"    goto ErrorArg
if "%1"=="/H"    goto ErrorArg
if "%1"=="a"     set FDRIVE=A:\
if "%1"=="a:"    set FDRIVE=A:\
if "%1"=="a:\"   set FDRIVE=A:\
if "%1"=="A"     set FDRIVE=A:\
if "%1"=="A:"    set FDRIVE=A:\
if "%1"=="A:\"   set FDRIVE=A:\
if "%1"=="b"     set FDRIVE=B:\
if "%1"=="b:"    set FDRIVE=B:\
if "%1"=="b:\"   set FDRIVE=B:\
if "%1"=="B"     set FDRIVE=B:\
if "%1"=="B:"    set FDRIVE=B:\
if "%1"=="B:\"   set FDRIVE=B:\
if "%2"==""      goto ND5_1
if "%2"=="ND4"   goto ND4
if "%2"=="ND5"   goto ND5
if "%2"=="ND5_1" goto ND5_1
goto ErrorArg


REM ===============================
REM WinNT4 NDIS 4
REM ===============================
:ND4
@echo Ready to create diskette for Window 95/NT4.0 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
copy ..\Winnt\NetDISK %FDRIVE%
copy ..\Winnt\Oemsetup.inf %FDRIVE%

mkdir %FDRIVE%WinNT
copy ..\Winnt\NetWLAN4.sys %FDRIVE%WinNT

mkdir %FDRIVE%Win95
copy ..\..\win95\NetWLan4.inf %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95
if exist ..\..\win95\NetNCPA.HLP copy ..\..\win95\NetNCPA.HLP %FDRIVE%Win95
if exist ..\..\win95\inetwh32.dll copy ..\..\win95\inetwh32.dll %FDRIVE%Win95

goto End


REM ===============================
REM Win98 and Win2K NDIS5
REM ===============================
:ND5
@echo Ready to create diskette for Windows 98/ME/2000 on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

copy ..\..\NetWlan5.inf %FDRIVE%
copy ..\..\NetWlan5.cat %FDRIVE%
copy ..\..\NetWlan5.sys %FDRIVE%

mkdir %FDRIVE%Win95
copy ..\..\win95\NetNCPA.dll %FDRIVE%Win95
copy ..\..\win95\NetNDI.dll %FDRIVE%Win95
copy ..\..\win95\NetWlanCoInstaller.dll %FDRIVE%Win95
copy ..\..\win95\WlaNCPA.hlp %FDRIVE%Win95
if exist ..\..\win95\WlaNCPA.cnt copy ..\..\win95\WlaNCPA.cnt %FDRIVE%Win95
if exist ..\..\win95\NetNCPA.HLP copy ..\..\win95\NetNCPA.HLP %FDRIVE%Win95
if exist ..\..\win95\inetwh32.dll copy ..\..\win95\inetwh32.dll %FDRIVE%Win95

goto End


REM ===============================
REM WinXP NDIS 5.1
REM ===============================
:ND5_1
@echo Ready to create diskette for Windows XP on floppy drive %FDRIVE%
@echo Place a formatted floppy disk in drive %FDRIVE%
pause
if exist ..\..\wl50nd5.cat copy ..\..\wl50nd5.cat %FDRIVE%
if exist ..\..\wl50nd5.inf copy ..\..\wl50nd5.inf %FDRIVE%
if exist ..\..\wl50nd5.sys copy ..\..\wl50nd5.sys %FDRIVE%
if exist ..\..\wl5cfg.dll  copy ..\..\wl5cfg.dll %FDRIVE%
if exist ..\..\wl5ndi.dll  copy ..\..\wl5ndi.dll %FDRIVE%
if exist ..\..\dm95.exe    copy ..\..\dm95.exe %FDRIVE%

if exist ..\DRIVERS\XP\NetWlan5.cat copy ..\DRIVERS\XP\NetWlan5.cat %FDRIVE%
if exist ..\DRIVERS\XP\NetWlan5.img copy ..\DRIVERS\XP\NetWlan5.img %FDRIVE%
if exist ..\DRIVERS\XP\NetWlan5.inf copy ..\DRIVERS\XP\NetWlan5.inf %FDRIVE%
if exist ..\DRIVERS\XP\NetWlan5.sys copy ..\DRIVERS\XP\NetWlan5.sys %FDRIVE%

goto End


:ErrorArg
@echo mkWLAdsk- Creates Intel Pro/Wireless 5000/2011/2011b LAN Driver Installation Diskette
@echo Usage: makedisk drive [NDIS]
@echo   where drive is A: or B:
@echo   where NDIS is: ND4   for NDIS4   Win95/NT4.0
@echo                  ND5   for NDIS5   Win98/ME/2k
@echo                  ND5_1 for NDIS5.1 WinXP
@echo   and
@echo   Defaults: A:, ND5_1, WinXP


:End
cd \
@echo Done.
